Skip to main content
GET
/
networks
/
campaigns
/
{campaignId}
Get Smart Link by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/campaigns/{campaignId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_campaign_id": 1,
  "network_id": 1,
  "campaign_name": "My Smart Link",
  "campaign_status": "active",
  "network_tracking_domain_id": 1,
  "is_use_secure_link": false,
  "redirect_routing_type": "weight",
  "catch_all_network_offer_id": 57,
  "is_open_to_affiliates": false,
  "run_frequency": "unknown",
  "metric": "unknown",
  "optimization_goal": 0,
  "data_lookback_window": "unknown",
  "data_collection_threshold": 0,
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "relationship": {
    "redirects": {
      "total": 123,
      "entries": [
        {
          "network_campaign_redirect_id": 6,
          "network_campaign_id": 1,
          "redirect_network_offer_id": 11,
          "redirect_network_offer_url_id": 0,
          "routing_value": 1,
          "ruleset": {}
        }
      ]
    },
    "labels": {
      "total": 123,
      "entries": [
        "<string>"
      ]
    },
    "catch_all_offer_basic": {
      "network_offer_id": 123,
      "network_id": 123,
      "name": "<string>",
      "offer_status": "<string>"
    },
    "encoded_value": "<string>"
  }
}
Retrieve a single smart link (campaign) by its ID, including its routing configuration, redirects, and relationship data.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

campaignId
integer
required

The smart link (campaign) identifier.

Query Parameters

relationship
enum<string>

Include related data. Repeat for multiple relationships.

Available options:
reporting,
redirects,
offers,
catch_all_offer_basic

Response

200 - application/json
network_campaign_id
integer

Unique smart link (campaign) ID.

Example:

1

network_id
integer

Network ID.

Example:

1

campaign_name
string

The displayed name of the smart link.

Example:

"My Smart Link"

campaign_status
enum<string>

Status of the smart link.

Available options:
active,
paused,
deleted
Example:

"active"

network_tracking_domain_id
integer

The ID of the domain used in the affiliate tracking link.

Example:

1

Whether SSL is forced on tracking links.

Example:

false

redirect_routing_type
enum<string>

Determines how the Smart Link traffic is distributed between the listed offers. kpi automatically delivers traffic ranked by the best performing offers for your set KPI. priority checks the first position and continues downward if the user doesn't match targeting/cap. weight delivers traffic with a percentage split between eligible offers.

Available options:
priority,
weight,
kpi
Example:

"weight"

catch_all_network_offer_id
integer

The ID of the offer to use as the catch-all offer. The Catch-All Offer will be considered only if the partner has access to the offer and the click can't be matched with any of the offers in the redirect tree.

Example:

57

is_open_to_affiliates
boolean

Whether the smart link is visible to affiliates. If enabled, the Smart Link will be visible to the partner only if all the offers in the redirect tree are runnable by the partner.

Example:

false

run_frequency
enum<string>

Determines how often your offers are re-ranked based on the best performing offers towards your KPI. Required if redirect_routing_type is set to kpi.

Available options:
unknown,
1_hours,
3_hours,
6_hours,
12_hours,
24_hours
Example:

"unknown"

metric
enum<string>

The metric used with the KPI campaign. The highest performing offers for your selected metric will be re-ranked towards receiving the majority of the Smart Link traffic. Required if redirect_routing_type is set to kpi.

Available options:
unknown,
profit,
cvr,
evr,
conversions,
payout,
revenue,
rpc,
cpc,
epc
Example:

"unknown"

optimization_goal
number

Optimizes ranking towards the offers that are closest to your set Specific Goal. Required if redirect_routing_type is set to kpi.

Example:

0

data_lookback_window
enum<string>

Determines the period of data used for evaluating how offers are performing at your set Metric. Can be 12_hours, 24_hours, or 48_hours. Required if redirect_routing_type is set to kpi.

Available options:
unknown,
12_hours,
24_hours,
48_hours
Example:

"unknown"

data_collection_threshold
integer

The amount of data (in clicks) required before the KPI-based Smart Link starts determining the initial rankings for the best performing offers. Required if redirect_routing_type is set to kpi.

Example:

0

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object